%define section free

Summary:        Custom metadata for elements of Java class or interface
Name:           attrib4j
Version:        0.9.0
Release:        3jpp
Epoch:          0
License:        LGPL
URL:            http://attrib4j.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        attrib4j-0.9.0.zip
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  junit
BuildRequires:  bcel
Requires:       bcel
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The basic goal of the project is to support the 
inclusion and extraction of custom metadata 
associated with various program elements of a 
Java class or interface. An individual element 
of metadata associated with a program element, 
for example a method, is commonly referred to as 
an attribute. These attributes are inserted at 
compile time and then can be retrieved later at 
runtime. 



%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -T -c -n %{name}-%{version}
cd ..
unzip -q %{SOURCE0}
unzip -o -q %{name}-%{version}/%{name}-%{version}-src.zip
cd %{name}-%{version}
find . -name "*.jar" -exec rm {} \;
rm -rf src/main/attrib4j/cfparse

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath bcel)
ant -Dbuild.sysclasspath=first test release

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}

# -----------------------------------------------------------------------------

%changelog

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.9.0-3jpp
- Build with ant-1.6.2
- Added BuildReq/Req bcel

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.9.0-2jpp
- Upgrade to Ant 1.6.X

* Tue Feb 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.9.0-1jpp
- First JPackage release
